(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      3901,        120]
NotebookOptionsPosition[      3483,        100]
NotebookOutlinePosition[      3825,        115]
CellTagsIndexPosition[      3782,        112]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"acdc", "=", 
    RowBox[{"N", "[", 
     RowBox[{"10000", "*", "10", "*", "10"}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"photo", "-", 
    RowBox[{"current", " ", "to", " ", "voltage"}], " ", "+", " ", 
    RowBox[{"Voltage", " ", "gain", " ", "in", " ", "2", " ", "Amp"}], "-", 
    "Stages"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mmic", "=", 
    RowBox[{"N", "[", 
     RowBox[{"50", "*", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"32", "+", "32"}], ")"}], "/", "10"}], ")"}]}]}], "]"}]}], 
   ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"photo", "-", 
    RowBox[{
    "current", " ", "is", " ", "dumped", " ", "into", " ", "50", " ", "Ohm", 
     " ", "MMIC", " ", "which", " ", "causes", " ", "a", " ", 
     RowBox[{"voltage", ".", " ", "This"}], " ", "voltage", " ", "is", " ", 
     "amplified", " ", "by", " ", "each", " ", "MMIC", " ", "with"}], " ", 
    "+", 
    RowBox[{"32", " ", "dB"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Gain AC/DC: \>\"", ",", "acdc", ",", "\"\< [V/A]\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Gain MMIC: \>\"", ",", "mmic", ",", "\"\< [V/A]\>\""}], "]"}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Ratio MMIC/ACDC: \>\"", ",", 
    RowBox[{"N", "[", 
     RowBox[{"mmic", "/", "acdc"}], "]"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.609353532957503*^9, 3.609353558397958*^9}, {
   3.6093535915198526`*^9, 3.6093538639164324`*^9}, 3.60935390425674*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gain AC/DC: \"\>", "\[InvisibleSpace]", "1.`*^6", 
   "\[InvisibleSpace]", "\<\" [V/A]\"\>"}],
  SequenceForm["Gain AC/DC: ", 1.*^6, " [V/A]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.6093537725872087`*^9, 3.609353775911399*^9}, {
   3.6093538378789434`*^9, 3.6093538648564863`*^9}, 3.6093539061508484`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Gain MMIC: \"\>", "\[InvisibleSpace]", 
   "1.2559432157547903`*^8", "\[InvisibleSpace]", "\<\" [V/A]\"\>"}],
  SequenceForm["Gain MMIC: ", 1.2559432157547903`*^8, " [V/A]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.6093537725872087`*^9, 3.609353775911399*^9}, {
   3.6093538378789434`*^9, 3.6093538648564863`*^9}, 3.6093539061538486`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ratio MMIC/ACDC: \"\>", "\[InvisibleSpace]", 
   "125.59432157547903`"}],
  SequenceForm["Ratio MMIC/ACDC: ", 125.59432157547903`],
  Editable->False]], "Print",
 CellChangeTimes->{{3.6093537725872087`*^9, 3.609353775911399*^9}, {
   3.6093538378789434`*^9, 3.6093538648564863`*^9}, 3.609353906158849*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{707, 867},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 1724, 45, 172, "Input"],
Cell[CellGroupData[{
Cell[2328, 71, 368, 7, 23, "Print"],
Cell[2699, 80, 399, 7, 23, "Print"],
Cell[3101, 89, 354, 7, 23, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
