(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     11668,        286]
NotebookOptionsPosition[     11198,        265]
NotebookOutlinePosition[     11543,        280]
CellTagsIndexPosition[     11500,        277]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Photo", "-", 
    RowBox[{"Diode", " ", "Parameters"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"s", "=", "0.63"}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"Sensitivity", ":", " ", 
     RowBox[{"S5971", " ", 
      RowBox[{"A", "/", "W"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"P", "=", 
     RowBox[{"1", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"Optical", " ", "Power", " ", "in", " ", "W"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"iDark", "=", 
     RowBox[{"0.01", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "9"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"Dark", "-", 
     RowBox[{"Current", " ", "with", " ", "reverse"}], "-", "voltage"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"r", "=", 
     RowBox[{"1", "*", 
      RowBox[{"10", "^", "3"}]}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"Reverse", "-", 
      RowBox[{"Voltage", " ", "resistor"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"U", "=", 
     RowBox[{"P", "*", "s", "*", "r"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UErr", "=", 
     RowBox[{"r", "*", "iDark"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"Diode", " ", "Dark"}], "-", 
      RowBox[{"Current", " ", "to", " ", "Voltage"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{"Diff", "-", 
      RowBox[{"Amp", " ", "1.", " ", 
       RowBox[{"Stage", " ", ":"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"INA121", ":", " ", 
       RowBox[{"Gain", " ", "10"}]}], " ", "->", " ", 
      RowBox[{
       RowBox[{"Max", " ", "~", " ", "200"}], " ", "kHz"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"iMaxInputCurrent", "=", 
     RowBox[{"50", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "12"}]}]}]}], ";"}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{"Typical", ":", " ", 
     RowBox[{"4", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "12"}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uMaxOffsetVoltage", "=", 
     RowBox[{"200", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"LT", " ", "1167"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"iMaxInputCurrent", "=", 
     RowBox[{"350", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "12"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"uMaxOffsetVoltage", "=", 
     RowBox[{"60", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gDiffAmp", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"U", "=", 
     RowBox[{"U", "*", "gDiffAmp"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Error", ":", " ", 
     RowBox[{"Photodiode", "-", "Dark", "-", 
      RowBox[{"Current", " ", "over", " ", "the", " ", "Reverse"}], "-", 
      RowBox[{"Voltage", " ", "resistor"}], " ", "+", " ", 
      RowBox[{
      "The", " ", "current", " ", "we", " ", "lose", " ", "into", " ", "the", 
       " ", "DiffAmp", "*", "r"}], " ", "+", " ", "Offset", "-", 
      RowBox[{"Voltage", " ", "of", " ", "DiffAmp"}]}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UErr", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"UErr", "+", 
        RowBox[{"iMaxInputCurrent", "*", "r"}], "+", "uMaxOffsetVoltage"}], 
       ")"}], "*", "gDiffAmp"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<UFirstStage: \>\"", ",", 
      RowBox[{"U", "*", 
       RowBox[{"10", "^", "3"}]}], ",", "\"\< mV\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<UErr FirstStage: \>\"", ",", 
      RowBox[{"UErr", "*", 
       RowBox[{"10", "^", "3"}]}], ",", "\"\< mV (\>\"", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"UErr", "/", "U"}], ")"}], "*", "100"}], ",", "\"\<%)\>\""}], 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Second", " ", "Stage", " ", "Amp"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gDCAmp", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"U", "=", 
     RowBox[{"U", "*", "gDCAmp"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"UErr", "=", 
     RowBox[{"UErr", "*", "gDCAmp"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<USecondStage: \>\"", ",", "U", ",", "\"\< V\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<UErr SecondStage: \>\"", ",", 
      RowBox[{"UErr", "*", 
       RowBox[{"10", "^", "3"}]}], ",", "\"\< mV (\>\"", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"UErr", "/", "U"}], ")"}], "*", "100"}], ",", "\"\<%)\>\""}], 
     "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6083177829194183`*^9, 3.608318028661474*^9}, {
   3.608318286020194*^9, 3.6083183225532837`*^9}, 3.6083183599934254`*^9, {
   3.6083184017038107`*^9, 3.6083184579560285`*^9}, {3.608318531012207*^9, 
   3.608318574338685*^9}, {3.6083186179871817`*^9, 3.608318795665344*^9}, {
   3.6083188581929207`*^9, 3.6083188843394165`*^9}, {3.6083189256257772`*^9, 
   3.608318991807563*^9}, {3.6084578345756965`*^9, 3.608457872041839*^9}, 
   3.6086239293407736`*^9, {3.608623978038559*^9, 3.6086241977821274`*^9}, {
   3.6086242348302464`*^9, 3.608624312775705*^9}, {3.6086244434181767`*^9, 
   3.6086244628482885`*^9}, {3.60862449749127*^9, 3.6086245782288876`*^9}, {
   3.6086246768645296`*^9, 3.6086247395621157`*^9}, {3.6089678761317387`*^9, 
   3.6089678779238415`*^9}, {3.6089679120167913`*^9, 3.608967941902501*^9}, {
   3.6089679872690954`*^9, 3.6089679908403*^9}, {3.608968085063689*^9, 
   3.608968106070891*^9}, 3.608968234050211*^9, 3.6089685349884233`*^9, {
   3.6144945190900593`*^9, 3.6144945840901504`*^9}, {3.614494671300273*^9, 
   3.6144946883702965`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"UFirstStage: \"\>", "\[InvisibleSpace]", "6.3`", 
   "\[InvisibleSpace]", "\<\" mV\"\>"}],
  SequenceForm["UFirstStage: ", 6.3, " mV"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.6083188881976366`*^9, {3.6083189503061895`*^9, 3.6083189720494328`*^9}, {
   3.6084578351947317`*^9, 3.6084578725148664`*^9}, 3.6086239340250416`*^9, {
   3.608623979208626*^9, 3.608624015564705*^9}, {3.6086240933891563`*^9, 
   3.6086242006082892`*^9}, {3.6086243037661896`*^9, 
   3.6086243132227306`*^9}, {3.6086245554095826`*^9, 3.608624578816921*^9}, {
   3.608624686004052*^9, 3.60862474243828*^9}, {3.608967892322665*^9, 
   3.6089679423595266`*^9}, {3.6089679738573284`*^9, 3.608967991592343*^9}, {
   3.6089680907320137`*^9, 3.608968106708927*^9}, {3.6089682253447127`*^9, 
   3.6089682344882355`*^9}, 3.608968536514511*^9, {3.6144945214000626`*^9, 
   3.614494584580151*^9}, {3.6144946720602736`*^9, 3.6144946900902987`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"UErr FirstStage: \"\>", "\[InvisibleSpace]", "0.6036`", 
   "\[InvisibleSpace]", "\<\" mV (\"\>", "\[InvisibleSpace]", 
   "9.580952380952382`", "\[InvisibleSpace]", "\<\"%)\"\>"}],
  SequenceForm["UErr FirstStage: ", 0.6036, " mV (", 9.580952380952382, "%)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.6083188881976366`*^9, {3.6083189503061895`*^9, 3.6083189720494328`*^9}, {
   3.6084578351947317`*^9, 3.6084578725148664`*^9}, 3.6086239340250416`*^9, {
   3.608623979208626*^9, 3.608624015564705*^9}, {3.6086240933891563`*^9, 
   3.6086242006082892`*^9}, {3.6086243037661896`*^9, 
   3.6086243132227306`*^9}, {3.6086245554095826`*^9, 3.608624578816921*^9}, {
   3.608624686004052*^9, 3.60862474243828*^9}, {3.608967892322665*^9, 
   3.6089679423595266`*^9}, {3.6089679738573284`*^9, 3.608967991592343*^9}, {
   3.6089680907320137`*^9, 3.608968106708927*^9}, {3.6089682253447127`*^9, 
   3.6089682344882355`*^9}, 3.608968536514511*^9, {3.6144945214000626`*^9, 
   3.614494584580151*^9}, {3.6144946720602736`*^9, 3.614494690100299*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"USecondStage: \"\>", "\[InvisibleSpace]", "0.063`", 
   "\[InvisibleSpace]", "\<\" V\"\>"}],
  SequenceForm["USecondStage: ", 0.063, " V"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.6083188881976366`*^9, {3.6083189503061895`*^9, 3.6083189720494328`*^9}, {
   3.6084578351947317`*^9, 3.6084578725148664`*^9}, 3.6086239340250416`*^9, {
   3.608623979208626*^9, 3.608624015564705*^9}, {3.6086240933891563`*^9, 
   3.6086242006082892`*^9}, {3.6086243037661896`*^9, 
   3.6086243132227306`*^9}, {3.6086245554095826`*^9, 3.608624578816921*^9}, {
   3.608624686004052*^9, 3.60862474243828*^9}, {3.608967892322665*^9, 
   3.6089679423595266`*^9}, {3.6089679738573284`*^9, 3.608967991592343*^9}, {
   3.6089680907320137`*^9, 3.608968106708927*^9}, {3.6089682253447127`*^9, 
   3.6089682344882355`*^9}, 3.608968536514511*^9, {3.6144945214000626`*^9, 
   3.614494584580151*^9}, {3.6144946720602736`*^9, 3.614494690100299*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"UErr SecondStage: \"\>", "\[InvisibleSpace]", 
   "6.0360000000000005`", "\[InvisibleSpace]", "\<\" mV (\"\>", 
   "\[InvisibleSpace]", "9.580952380952382`", 
   "\[InvisibleSpace]", "\<\"%)\"\>"}],
  SequenceForm[
  "UErr SecondStage: ", 6.0360000000000005`, " mV (", 9.580952380952382, "%)"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.6083188881976366`*^9, {3.6083189503061895`*^9, 3.6083189720494328`*^9}, {
   3.6084578351947317`*^9, 3.6084578725148664`*^9}, 3.6086239340250416`*^9, {
   3.608623979208626*^9, 3.608624015564705*^9}, {3.6086240933891563`*^9, 
   3.6086242006082892`*^9}, {3.6086243037661896`*^9, 
   3.6086243132227306`*^9}, {3.6086245554095826`*^9, 3.608624578816921*^9}, {
   3.608624686004052*^9, 3.60862474243828*^9}, {3.608967892322665*^9, 
   3.6089679423595266`*^9}, {3.6089679738573284`*^9, 3.608967991592343*^9}, {
   3.6089680907320137`*^9, 3.608968106708927*^9}, {3.6089682253447127`*^9, 
   3.6089682344882355`*^9}, 3.608968536514511*^9, {3.6144945214000626`*^9, 
   3.614494584580151*^9}, {3.6144946720602736`*^9, 3.614494690100299*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{707, 878},
WindowMargins->{{Automatic, 591}, {Automatic, 18}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 6379, 161, 612, "Input"],
Cell[CellGroupData[{
Cell[6983, 187, 974, 16, 23, "Print"],
Cell[7960, 205, 1097, 17, 23, "Print"],
Cell[9060, 224, 976, 16, 23, "Print"],
Cell[10039, 242, 1131, 19, 23, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
