(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      8246,        228]
NotebookOptionsPosition[      7683,        204]
NotebookOutlinePosition[      8089,        221]
CellTagsIndexPosition[      8046,        218]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"kB", "=", 
   RowBox[{"1.3806488", "*", 
    RowBox[{"10", "^", 
     RowBox[{"-", "23"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"T", "=", 
    RowBox[{"273.15", " ", "+", "25"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalDelta]f", "=", 
    RowBox[{"100", " ", 
     RowBox[{"10", "^", "6"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Bandwidth", " ", "of", " ", "the", " ", "Bandpass"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Gain", "=", 
    RowBox[{"10", "^", "3"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"~", " ", "30"}], " ", "dB"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "=", 
    RowBox[{"1", " ", 
     RowBox[{"10", "^", "3"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Pre", "-", 
    RowBox[{"Voltage", " ", "Bias", " ", "Resistor"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PBeat", "=", 
    RowBox[{"1", " ", 
     RowBox[{"10", "^", 
      RowBox[{"-", "6"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Effective", " ", "Power"}], ",", " ", 
    RowBox[{"which", " ", "beats"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PTotal", "=", 
    RowBox[{"50", "*", 
     RowBox[{"10", "^", 
      RowBox[{"-", "6"}]}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Johnson", " ", "Noise"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uNoiseDensitiy", "[", "\[CapitalDelta]f_", "]"}], ":=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"4", " ", "kB", " ", "T", " ", "r", " ", "\[CapitalDelta]f"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uJohnsonNoise", "=", 
    RowBox[{
     RowBox[{"uNoiseDensitiy", "[", "\[CapitalDelta]f", "]"}], "*", 
     "Gain"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Signal", " ", "Amplification"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Sensitivity", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"iBeat", "=", 
   RowBox[{"Sensitivity", "*", "PBeat"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uBeat", "=", 
   RowBox[{"r", "*", "iBeat"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uSignal", "=", 
    RowBox[{"uBeat", "*", "Gain"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Johnson-Voltage-Noise (Amplified): \>\"", ",", "uJohnsonNoise", ",", 
    "\"\< V\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Beat-Voltage (Amplified): \>\"", ",", "uSignal", ",", "\"\< V\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<DC-Voltage (Generated at Bias-Resistor):\>\"", ",", 
    RowBox[{"PTotal", "*", "Sensitivity", "*", "r"}], ",", "\"\< V\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<Beat-Voltage (Generated at Bias-Resistor): \>\"", ",", "uBeat", ",", 
    "\"\< V\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Beat-Current (Generated at Photodiode): \>\"", ",", 
    RowBox[{"iBeat", "*", 
     RowBox[{"10", "^", "6"}]}], ",", "\"\< \[Micro]A\>\""}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.608382988726759*^9, 3.6083830425298357`*^9}, {
  3.6083831509800386`*^9, 3.6083832093353767`*^9}, {3.60838325100676*^9, 
  3.608383290762034*^9}, {3.6083834534163375`*^9, 3.6083834717273846`*^9}, {
  3.6083837814260983`*^9, 3.6083839404721956`*^9}, {3.608384012145295*^9, 
  3.6083840221368666`*^9}, {3.608384244450582*^9, 3.6083842805956492`*^9}, {
  3.6083845108588195`*^9, 3.6083845166241493`*^9}, {3.608384722521926*^9, 
  3.6083847972211986`*^9}, {3.6083850797953606`*^9, 3.608385234614216*^9}, {
  3.6083852656789927`*^9, 3.608385308676452*^9}, {3.60838536563571*^9, 
  3.608385377443385*^9}, {3.608385484592514*^9, 3.608385491481908*^9}, {
  3.608385838993785*^9, 3.6083858612630587`*^9}, {3.6083874454646697`*^9, 
  3.608387580016365*^9}, {3.608388009909954*^9, 3.6083881524821086`*^9}, {
  3.6083882051741223`*^9, 3.608388223807188*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Johnson-Voltage-Noise (Amplified): \"\>", "\[InvisibleSpace]", 
   "0.040577848130229875`", "\[InvisibleSpace]", "\<\" V\"\>"}],
  SequenceForm[
  "Johnson-Voltage-Noise (Amplified): ", 0.040577848130229875`, " V"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.608387517769805*^9, 3.608387580761408*^9}, 
   3.608388010735001*^9, {3.6083880451789713`*^9, 3.608388085498277*^9}, 
   3.6083881590884867`*^9, {3.608388216580775*^9, 3.6083882244992275`*^9}, 
   3.608457912144133*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beat-Voltage (Amplified): \"\>", "\[InvisibleSpace]", "0.5`", 
   "\[InvisibleSpace]", "\<\" V\"\>"}],
  SequenceForm["Beat-Voltage (Amplified): ", 0.5, " V"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.608387517769805*^9, 3.608387580761408*^9}, 
   3.608388010735001*^9, {3.6083880451789713`*^9, 3.608388085498277*^9}, 
   3.6083881590884867`*^9, {3.608388216580775*^9, 3.6083882244992275`*^9}, 
   3.6084579121461334`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"DC-Voltage (Generated at Bias-Resistor):\"\>", 
   "\[InvisibleSpace]", "0.025`", "\[InvisibleSpace]", "\<\" V\"\>"}],
  SequenceForm["DC-Voltage (Generated at Bias-Resistor):", 0.025, " V"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.608387517769805*^9, 3.608387580761408*^9}, 
   3.608388010735001*^9, {3.6083880451789713`*^9, 3.608388085498277*^9}, 
   3.6083881590884867`*^9, {3.608388216580775*^9, 3.6083882244992275`*^9}, 
   3.6084579121481333`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beat-Voltage (Generated at Bias-Resistor): \"\>", 
   "\[InvisibleSpace]", "0.0005`", "\[InvisibleSpace]", "\<\" V\"\>"}],
  SequenceForm["Beat-Voltage (Generated at Bias-Resistor): ", 0.0005, " V"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.608387517769805*^9, 3.608387580761408*^9}, 
   3.608388010735001*^9, {3.6083880451789713`*^9, 3.608388085498277*^9}, 
   3.6083881590884867`*^9, {3.608388216580775*^9, 3.6083882244992275`*^9}, 
   3.608457912149133*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Beat-Current (Generated at Photodiode): \"\>", 
   "\[InvisibleSpace]", "0.5`", "\[InvisibleSpace]", "\<\" \[Micro]A\"\>"}],
  SequenceForm["Beat-Current (Generated at Photodiode): ", 0.5, " \[Micro]A"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.608387517769805*^9, 3.608387580761408*^9}, 
   3.608388010735001*^9, {3.6083880451789713`*^9, 3.608388085498277*^9}, 
   3.6083881590884867`*^9, {3.608388216580775*^9, 3.6083882244992275`*^9}, 
   3.608457912150133*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{708, 843},
WindowMargins->{{456, Automatic}, {Automatic, 9}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 4463, 120, 492, "Input"],
Cell[CellGroupData[{
Cell[5067, 146, 536, 10, 23, "Print"],
Cell[5606, 158, 482, 9, 23, "Print"],
Cell[6091, 169, 514, 9, 23, "Print"],
Cell[6608, 180, 520, 9, 23, "Print"],
Cell[7131, 191, 524, 9, 23, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
